GDB (xrefs)

Functions
fileio.h File Reference
`#include "gdb/fileio.h"`
`#include <sys/stat.h>`

Go to the source code of this file.

## Functions
int | host_to_fileio_error (int error)
int | fileio_to_host_openflags (int fflags, int *flags)
int | fileio_to_host_mode (int fmode, mode_t *mode)
static void | host_to_bigendian (LONGEST num, char *buf, int bytes)
static void | host_to_fileio_uint (long num, fio_uint_t fnum)
static void | host_to_fileio_time (time_t num, fio_time_t fnum)
void | host_to_fileio_stat (struct stat *st, struct fio_stat *fst)

## Function Documentation

## ◆ fileio_to_host_mode()

int fileio_to_host_mode | ( | int | fmode,
|  | mode_t * | mode
| ) |  |

Definition at line 115 of file fileio.c.

Referenced by inf_child_fileio_open(), and linux_nat_fileio_open().

## ◆ fileio_to_host_openflags()

int fileio_to_host_openflags | ( | int | fflags,
|  | int * | flags
| ) |  |

Definition at line 81 of file fileio.c.

References O_BINARY.

Referenced by inf_child_fileio_open(), and linux_nat_fileio_open().

## ◆ host_to_bigendian()

static void host_to_bigendian | ( | LONGEST | num,
|  | char * | buf,
|  | int | bytes
| ) |  |
| inline static

Definition at line 45 of file fileio.h.

Referenced by host_to_fileio_mode(), host_to_fileio_time(), host_to_fileio_uint(), host_to_fileio_ulong(), and remote_fileio_to_fio_long().

## ◆ host_to_fileio_error()

int host_to_fileio_error | ( | int | error | ) |

Definition at line 28 of file fileio.c.

References error().

Referenced by inf_child_fileio_close(), inf_child_fileio_fstat(), inf_child_fileio_open(), inf_child_fileio_pread(), inf_child_fileio_pwrite(), inf_child_fileio_readlink(), inf_child_fileio_unlink(), linux_nat_fileio_open(), linux_nat_fileio_readlink(), linux_nat_fileio_unlink(), and remote_fileio_return_errno().

## ◆ host_to_fileio_stat()

void host_to_fileio_stat | ( | struct stat * | st,
|  | struct fio_stat * | fst
| ) |  |

Definition at line 224 of file fileio.c.

References host_to_fileio_mode(), host_to_fileio_time(), host_to_fileio_uint(), and host_to_fileio_ulong().

Referenced by remote_fileio_func_fstat(), and remote_fileio_func_stat().

## ◆ host_to_fileio_time()

static void host_to_fileio_time | ( | time_t | num,
|  | fio_time_t | fnum
| ) |  |
| inline static

Definition at line 64 of file fileio.h.

References host_to_bigendian().

Referenced by host_to_fileio_stat(), and remote_fileio_to_fio_timeval().

## ◆ host_to_fileio_uint()

static void host_to_fileio_uint | ( | long | num,
|  | fio_uint_t | fnum
| ) |  |
| inline static

Definition at line 56 of file fileio.h.

References host_to_bigendian().

Referenced by host_to_fileio_stat(), remote_fileio_func_fstat(), and remote_fileio_func_stat().